#pragma once

#include <Text.h>
#include <Server.h>
#include "Datenbank.h"

using namespace Framework;
using namespace Network;

class TeamsEditor
{
private:
    Text pfad;
    Text fehler;
    EdSDatenbank *db;
    int id;
    int ref;

public:
    // Konstruktor
    TeamsEditor( int id, char *pf, EdSDatenbank *db );
    // Destruktor
    ~TeamsEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
    // Reference Counting
    TeamsEditor *getThis();
    TeamsEditor *release();
};